%define debug_package %{nil}
Name:           questdb
Version:        8.1.0     
Release:        1%{?dist}
Summary:        QuestDB is the fastest growing open-source time-series database offering blazingly fast, high throughput ingestion and dynamic, low-latency SQL queries.


License:        Apache License 2.0
URL:            https://github.com/questdb/questdb/
Source0:        https://github.com/questdb/questdb/archive/refs/tags/%{version}.tar.gz

BuildRequires:  maven-local

%description
QuestDB is the fastest growing open-source time-series database offering blazingly fast, high throughput ingestion and dynamic, low-latency SQL queries. The entire high-performance codebase is built from the ground up in Java, C++ and Rust with no dependencies and zero garbage collection.

%prep
%autosetup


%build
# skip 10000+ unit test
mvn clean package -Dmaven.test.skip=true

%install
install -m 0755 -D core/target/questdb-8.1.0.jar %{buildroot}/opt/questdb/questdb.jar
install -m 0755 -D core/src/main/bin/env.sh %{buildroot}/opt/questdb/env.sh
install -m 0755 -D core/src/main/bin/print-hello.sh %{buildroot}/opt/questdb/print-hello.sh
install -m 0755 -D core/src/main/bin/questdb.sh %{buildroot}/opt/questdb/questdb.sh
install -m 0644 -D core/LICENSE.txt %{buildroot}/opt/questdb/LICENSE.txt



%files
/opt/questdb/questdb.jar
/opt/questdb/env.sh
/opt/questdb/print-hello.sh
/opt/questdb/questdb.sh
/opt/questdb/LICENSE.txt



%changelog
* Tue Aug 6 2024 zphj1987 <199383004@qq.com> - 8.1.0-1
- [Type] other
- [DESC] Initial build of questdb.
